FLO's browser compatibility

Internet browsers

The key functionality of FLO works on all modern browsers, however we recommend using the latest versions, however the minimum browser versions are required (see list below):

  • Google Chrome 30 or above
  • Firefox 25 or above
  • Safari 6 or above
  • Internet Explorer 9 or above (Note: Drag and drop upload functionality is not available in Internet Explorer 9)

The use of Javascript is not required but strongly recommended.

Mobile devices

FLO functions on modern mobile devices including Android phones and tablets, iPhones and iPads.

Add-ons

Add-ons or plugins may be required to view particular content. For example, if you upload a Microsoft Word document, students will need Microsoft Word to be able to read it. It is therefore recommended that you convert documents to pdf format wherever possible.

If you include YouTube or other videos in your topic, students will need Flash Player enabled in their browser.

» How do I...? OLD GLOSSARY